Announcement

Collapse
No announcement yet.

Open-Source Drivers --> Compiz not working :(

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Open-Source Drivers --> Compiz not working :(

    Hello there!

    First of all, thanks all for all your help here, I been reading these forums for a while now without making an account, got alot of help already

    Since the official Catalyst Drivers had some big issues on my laptop (firefox scrolling slow, couldnt come back to x from consoles, very slow video playback).. so I uninstalled those again went back to the default ubuntu drivers. Now after a while I decided to try out the open-source drivers, with the very good guide posted on top of this forum.

    Installation went well, without any problem (as far as i can tell as ubuntu greenhorn) and 3d acceleration seems to work too (glxgears renders the gear successfully).

    However, unfortunately Ubuntu wont let me enable display effects now (neither the standard effects nor the advanced ones), which is quite a shame as i really like the compiz stuff and would love to use it again

    I dont really know how i can track down the issue, so sorry if I cant give more info right now.

    Oh, and the system is running a ATI Radeon Mobility 9700

    Thanks for your help!

    Edit: oh and I am using the ATI(radeon) drivers, not the radeonhd ones.
    Last edited by Fizzie; 06-08-2008, 07:53 AM.

  • #2
    It's probably going to be one of a few things :

    - enabling COMPOSITE
    - enabling AIGLX (both in Xorg.conf
    - um... there's a third thing I can't remember right now

    Check your conf and logs, and make sure that both of the above rae enabled.

    Comment


    • #3
      The problem is probably that you upgraded mesa but did not upgrade the xserver. All of this is explained in that thread you refer to.

      Comment


      • #4
        I added Composite and AIGLX and now i am getting

        grep -i aiglx /var/log/Xorg.0.log
        (**) Option "AIGLX" "true"
        (**) AIGLX enabled
        (EE) AIGLX error: dlsym for __driCreateNewScreen_20050727 failed (/usr/lib/dri/r300_dri.so: undefined symbol: __driCreateNewScreen_20050727)
        (EE) AIGLX: reverting to software rendering
        not good

        @tormod: I did read about that but I was hoping there is a way without using the ultra-dangerous xserver built...

        Comment


        • #5
          Originally posted by Fizzie View Post
          @tormod: I did read about that but I was hoping there is a way without using the ultra-dangerous xserver built...
          The xserver 1.5 is a release-candidate and stable, and _less_ experimental than the mesa packages that you already have installed...

          To have AIGLX working with the new mesa, you need xserver 1.5 or newer.

          Comment

          Working...
          X